{% extends "views/default/base.html" %}

{% load static %}

{% block title %}YUYITOS | Venta{% endblock %}
{% block css %}
       
{% endblock css %}

{% block content %}
{% if user.is_staff or request.user.user_profile == 'operador' or request.user.user_profile == 'vendedor' %}
        <div class="wrapper">
            
            <!-- Navbar -->
            {% include "views/default/header.html" %}
            <!-- /.navbar -->
            <!-- Main Sidebar Container -->
            {% include "views/default/menu.html" %}
            <!-- /.sidebar -->
            
            <div class="content-wrapper">
                <!-- Content Header (Page header) -->
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6">
                                <h1 class="m-0 text-dark">{{ title }}</h1>
                            </div><!-- /.col -->
                            <div class="col-sm-6">
                                <ol class="breadcrumb float-sm-right">
                                    <li class="breadcrumb-item"><a href="#">{{ entity }}</a></li>
                                    <li class="breadcrumb-item active">{{ entity }}</li>
                                </ol>
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div><!-- /.container-fluid -->
                </div>
                <!-- /.content-header -->
                <!-- Main content -->
                <section class="content">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-12">               
                                <!-- Default box -->
                                <form method="post">
                                    <div class="card card-secondary card-outline mb-4">
                                        <div class="card-header">
                                            <h3 class="card-title">Venta</h3>
                                        </div>
                                        <div class="card-body">
                                            <div class="row">
                                                <div class="col-lg-8">
                                                    <div class="card card-secondary">
                                                        <div class="card-header">
                                                            <h3 class="card-title"><i class="fas fa-boxes"></i> Detalle de productos</h3>
                                                        </div>
                                                        <div class="card-body">
                                                            <div class="form-group">
                                                                <label>Buscador de productos:</label>
                                                                <div class="input-group">
                                                                    <!--<input type="text" class="form-control" placeholder="Ingrese descripcion" autocomplete="off" name="search">
                                                                    <span class="input-group-append">
                                                                        <button type="button" class="btn btn-danger btn-flat" ><i class="fas fa-times"></i></button>
                                                                    </span>-->
                                                                    <select class="form-control select2" style="width: 100%;" name="search"></select>
                                                                </div>
                                                            </div>
                                                            <hr>
                                                            <button type="button" class="btn btn-danger btn-xs btn-flat btnRemoveAll">
                                                                <i class="fas fa-trash"></i> Eliminar todos mis items
                                                            </button>
                                                            <hr>
                                                            <table class="table table-bordered" id="tblProducts">
                                                                <thead>
                                                                <tr>
                                                                    <th>Eliminar</th>
                                                                    <th>Producto</th>
                                                                    <th>Familia Producto</th>
                                                                    <th>Cantidad</th>
                                                                    <th>Precio</th>
                                                                    <th>Subtotal</th>
                                                                </tr>
                                                                </thead>
                                                                <tbody>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-lg-4">
                                                    <div class="card card-secondary">
                                                        <div class="card-header">
                                                            <h3 class="card-title"><i class="fas fa-shopping-cart"></i> Datos de la Boleta</h3>
                                                        </div>
                                                        <div class="card-body">
                                                            <input type="hidden" name="action" value="{{ action }}">
                                                            <div class="form-group">
                                                                <label>Fecha de Registro:</label>
                                                                {{ form.fecha_hora }}
                                                            </div>
                                                            <div class="form-group">
                                                                <label>Tipo de Venta:</label>
                                                                {{ form.id_tipo_venta }}
                                                            </div>
                                                            <div class="form-group">
                                                                <label>Cliente:</label>
                                                                {{ form.id_cliente }}
                                                            </div>
                                                            <div class="form-group">
                                                                <label>Subtotal:</label>
                                                                {{ form.subtotal }}
                                                            </div>
                                                            <div class="form-group">
                                                                <label>Total a pagar:</label>
                                                                {{ form.total }}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- /.card-body -->
                                        <div class="card-footer">
                                            <a href="{{ list_url }}"><button type="button" class="btn btn-secondary"><i class="fas fa-times"></i> Cancelar</button></a>
                                            <button type="submit" class="btn btn-success float-right"><i class="fas fa-save"></i> Guardar registro</button>
                                        </div>
                                        <!-- /.card-footer-->
                                    </div>
                                    <!-- /.card -->
                                </form>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- /.content -->
            </div>
            {% include "views/default/footer.html" %}
           
        </div>
        <!-- ./wrapper -->
        {% endif %}
        <!-- REQUIRED SCRIPTS -->
        {% endblock content %}
        {% block js %}

        <script src="{% static 'dist/js/pages/venta.js' %}"></script>

        {% endblock js %}